import java.util.Random;

public class Stress {
	public static void main(String[] args) {
		int q = 0;
		while (true) {
			if (++q == 10) {
				q = 0;
				System.err.println("TEST");
			}
			onetest();
		}
	}

	static Random rand = new Random(12837123L);

	static void onetest() {
		int n = rand.nextInt(1000000000) + 1;
		int k = rand.nextInt(30) + 1;
		int ans1 = lcm_nn.solve(n, k);
		int ans2 = lcm_nn_fast.solve(n, k);
		int ans3 = lcm_nn_2.solve(n, k);
		int ans4 = lcm_nn_evenfaster.solve(n, k);
		if (ans1 != ans2 || ans1 != ans3 || ans2 != ans3 || ans1 != ans4) {
			System.err.println(n + " " + k);
			System.err.println("nn = " + ans1);
			System.err.println("nn_fast = " + ans2);
			System.err.println("nn_2 = " + ans3);
			System.err.println("nn_evenfaster =" + ans4);
			throw new AssertionError();
		}
	}
}
